Contact Filter
POST
Filter contacts with custom filter options and pagination
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
page?numberapplication/json- body
payload?array<>Success
application/json- response
meta?payload?array<>List of contacts
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/contacts/filter' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "meta": { "count": 0, "current_page": "string" }, "payload": [ { "additional_attributes": { "city": "string", "country": "string", "country_code": "string", "created_at_ip": "string" }, "availability_status": "online", "email": "string", "id": 0, "name": "string", "phone_number": "string", "blocked": true, "identifier": "string", "thumbnail": "string", "custom_attributes": {}, "last_activity_at": 0, "created_at": 0, "contact_inboxes": [ { "source_id": "string", "inbox": { "id": 0, "avatar_url": "string", "channel_id": 0, "name": "string", "channel_type": "string", "provider": "string" } } ] } ]}